[Haskell-cafe] Re: Pugs with GHC 6.12

Christian Maeder Christian.Maeder at dfki.de
Tue Jun 1 11:43:50 EDT 2010

Simon Thompson schrieb:
> Has anyone successfully compiled Pugs with GHC 6.12? The Pugs page suggests that it compiles, but it falls to link (and therefore build) when I try it.

Your error message would help.

I was able to compile and link pugs (Version:
using ghc- by:

  cabal install pugs

The libraries displayed by "ldd" on the binary are:

        linux-gate.so.1 =>  (0xffffe000)
        libperl.so =>
/usr/lib/perl5/5.10.0/i586-linux-thread-multi/CORE/libperl.so (0xb7560000)
        libnsl.so.1 => /lib/libnsl.so.1 (0xb751a000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7515000)
        libm.so.6 => /lib/libm.so.6 (0xb74ec000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0xb74b4000)
        libutil.so.1 => /lib/libutil.so.1 (0xb74b0000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7496000)
        libc.so.6 => /lib/libc.so.6 (0xb733a000)
        libncursesw.so.5 => /lib/libncursesw.so.5 (0xb72f0000)
        librt.so.1 => /lib/librt.so.1 (0xb72e6000)
        libgmp.so.3 => /usr/lib/libgmp.so.3 (0xb72a8000)
        /lib/ld-linux.so.2 (0xb77d5000)

HTH Christian

> Thanks!
> Simon T.

More information about the Haskell-Cafe mailing list